Page 3 of 3 FirstFirst 123
Results 41 to 54 of 54

Thread: Apache 2.2.3 Released

  1. #41
    Join Date
    Apr 2004
    Location
    The Netherlands
    Posts
    15
    Originally posted by @how@
    DA work fine with apache 2.0.x and 2.2.x and stable.
    how to update from 2.0.x to 2.2.3
    Code:
    cd /usr/local/directadmin/customapache
    rm -fr build
    wget http://files.directadmin.com/service...omapache/build
    chmod 755 build
    ./build update
    ./build clean
    ./build update_data_ap2
    perl -pi -e 's/2.0.58/2.2.3/' build
    wget http://www.reverse.net/pub/apache/ht...d-2.2.3.tar.gz
    ./build apache_2
    ./build php_ap2 y
    ./build zend
    /sbin/service httpd restart
    and
    Code:
    ./build mod_frontpage_ap2
    not support apache 2.2.x i don't use it before with apache 1.3.x & 2.0.x for security reason.

    Upadte your server via yum before update apache.
    Note:- easy to go back to apache 2.0.x or 1.3.x if you don't want apache 2.2.x


    Wael
    I used this guide to upgrade to from Apache 2.0.59 to Apache 2.23. Building Apache doesn't give any problems, but after the installation, all the files on the webserver seem empty. The error logs tell me that Apache processes are killed due to a segmentation fault.

    The frontpage extension is disabled, the perl extension too. I upgrade mod_perl to version 2.0, but when I enable it in the Apache configuration, Apache won't start. (Doesn't give any errors though). For PHP I tried version 5.1.6 and 5.2.0, but both versions didn't make the segmentation fault disappear.

    What can be the cause of this segmentation errors?

  2. #42
    Join Date
    Oct 2005
    Posts
    24
    someone help me compile Mod_Rewrite and Mod_Expires

  3. #43
    Join Date
    Aug 2004
    Location
    uk
    Posts
    1,584
    for the segfaults king culprit I would suggest mod_perl but you say you disabled it, compiling mod_perl against apache 2.2.3 without modification doesnt work so I am not sure you have even tried it.

    I dont reccomend people rushing into using apache 2.2.3 for the sake of it, loads go down but I have witnessed apache locking up occasionally on systems and of course the DA build script has no official support for it yet not even beta.

  4. #44
    Join Date
    Sep 2004
    Location
    Kingston, ON, Canada
    Posts
    50
    I've managed to get PHP 5.20 with Apache 2.2.3 running without any major issues. The ony thing so far is Zend Optimizer seems to not work right with php 5.20



    # httpd -v
    Server version: Apache/2.2.3
    Server built: Jan 3 2007 16:06:32


    # php -v
    PHP 5.2.0 (cli) (built: Jan 3 2007 16:43:19)
    Copyright (c) 1997-2006 The PHP Group

  5. #45
    Join Date
    Jun 2003
    Location
    California
    Posts
    26,122
    Did you check the Zend optimizer page? They're often a few days behind.

    Once a version is available to run with your latest versions you'll probably have to reinstall it.

    Jeff
    +1 951 643-5345
    Third-Party DirectAdmin administration and support
    Dedicated Servers, Dedicated Reseller Accounts
    NoBaloney Internet Services div. Qnito Incorporated
    848 North Rainbow Blvd., Suite #3789
    Las Vegas, NV 89107-1103

  6. #46
    Join Date
    Sep 2004
    Location
    Kingston, ON, Canada
    Posts
    50
    Yeah I checked it and they claim theres an issue with it and will have a patch released soon - Dec 27 or so they posted. So I'm just waiting

  7. #47
    Join Date
    Jan 2006
    Location
    Arnhem, The Netherlands
    Posts
    107

  8. #48
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,542
    Download the patches for frontpage support: FrontPage Server Extension Patches for Apache 2.2.x
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  9. #49
    Join Date
    Jul 2008
    Posts
    9
    Code:
    [root@vps customapache]# /sbin/service httpd restart
    Stopping httpd:                                            [  OK  ]
    Starting httpd:
     Apache 1.3 configuration directives found
     please read @docdir@/migration.html
                                                               [FAILED]
    help plss

  10. #50
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,542
    ./build convert
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  11. #51
    Join Date
    Jul 2008
    Posts
    9
    Quote Originally Posted by smtalk View Post
    ./build convert
    [root@vps customapache]# /sbin/service httpd restart
    Stopping httpd: [FAILED]
    Starting httpd: Syntax error on line 68 of /etc/httpd/conf/httpd.conf:
    Cannot load /usr/lib/apache/mod_perl.so into server: /usr/lib/apache/mod_perl.so: cannot open shared object file: No such file or directory
    [FAILED]

    ((((((((((((((((((((((((((((((((( help pls

  12. #52
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,542
    ./build mod_perl_ap2
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  13. #53
    Join Date
    Jul 2008
    Posts
    9
    Quote Originally Posted by smtalk View Post
    ./build mod_perl_ap2
    Code:
    [root@vps customapache]# ./build mod_perl_ap2
    Found /usr/local/directadmin/customapache/mod_perl-2.0-current.tar.gz
    Extracting ...
    Done.
    Nuking previous mod_perl install (or configure will fail)...
    Configuring mod_perl-2.0.3...
    Can't locate ExtUtils/Embed.pm in @INC (@INC contains: lib Apache-Test/lib /usr/
    lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7
    /i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/
    5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/per
    l5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i38
    6-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /u
    sr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_per
    l/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/
    vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.
    8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr
    /lib/perl5/5.8.8 .) at lib/Apache2/Build.pm line 27.
    BEGIN failed--compilation aborted at lib/Apache2/Build.pm line 27.
    Compilation failed in require at Makefile.PL line 36.
    BEGIN failed--compilation aborted at Makefile.PL line 36.
    Done. Making mod_perl-2.0.3...
    Trying to make mod_perl-2.0...
    make: *** No targets specified and no makefile found.  Stop.
    
    *** The make has failed, do you want to try to make again? (y,n):

  14. #54
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,542
    yum -y install perl-ExtUtils-Embed
    ./build mod_perl_ap2
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

Page 3 of 3 FirstFirst 123

Similar Threads

  1. Apache 2.2.23 released
    By ditto in forum Required Software Version Updates
    Replies: 6
    Last Post: 10-08-2012, 02:43 PM
  2. Apache 2.2.12 Released
    By smtalk in forum Required Software Version Updates
    Replies: 2
    Last Post: 07-30-2009, 05:12 AM
  3. Apache 2.2.8 | 2.0.63 | 1.3.41 Released
    By GXX in forum Required Software Version Updates
    Replies: 24
    Last Post: 02-17-2008, 12:54 AM
  4. Apache 1.3.37 Released
    By vandal in forum Required Software Version Updates
    Replies: 8
    Last Post: 09-05-2006, 05:55 PM
  5. Apache 1.3.3 released
    By Chrysalis in forum Required Software Version Updates
    Replies: 1
    Last Post: 10-29-2004, 01:55 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •